import { Button } from "@/components/ui/button";
import { Card, CardContent } from "@/components/ui/card";
import React from "react";

export default function IanSWorkspace() {
  // Data for dive locations
  const diveLocations = [
    {
      name: "BUNAKEN",
      spots: ["Likuan II"],
      description:
        "Saya menyelam disini dengan Ayah saya, kita pertama menyewa alat selam.",
      gradient: "bg-gradient-to-br from-[#0d3358] to-[#0cb7cb]",
    },
    {
      name: "LOMBOK",
      spots: ["Halik Reef", "Bounty Wreck"],
      description:
        "Saya menyelam disini dengan Ayah saya, kita pertama menyewa alat selam.",
      gradient: "bg-gradient-to-b from-[#006b77] to-[#0b94a4]",
    },
    {
      name: "MARATUA",
      spots: ["The Channel", "East Wall"],
      description:
        "Saya menyelam disini dengan Ayah saya, kita pertama menyewa alat selam.",
      gradient: "bg-gradient-to-br from-[#0b94a4] to-[#0d5961]",
    },
  ];

  return (
    <div className="bg-white flex flex-row justify-center w-full">
      <div className="bg-white bg-gradient-to-b from-[rgba(82,159,168,1)] to-[rgba(32,87,129,1)] w-[1440px] h-[3151px] relative">
        {/* Footer section */}
        <div className="absolute w-[1440px] h-[654px] top-[2497px] left-0">
          <img
            className="w-[1080px] top-0 left-0 absolute h-[562px] object-cover"
            alt="Ok"
            src=""
          />

          <img
            className="w-[1094px] top-[90px] left-[346px] absolute h-[562px] object-cover"
            alt="Ok"
            src=""
          />

          <div className="absolute w-[1440px] h-[362px] top-[292px] left-0 bg-[#0c3553]" />
        </div>

        {/* Main content section */}
        <div className="absolute w-[1344px] h-[1437px] top-[1049px] left-[62px]">
          <img
            className="absolute w-[638px] h-[434px] top-[72px] left-0 object-cover"
            alt="Set fish characters"
            src=""
          />

          <div className="absolute w-[439px] h-[162px] top-[834px] left-[905px]">
            <div className="relative h-[162px]">
              <img
                className="absolute w-[465px] h-[188px] top-[-13px] left-[-13px] object-cover"
                alt="Diver silhouette"
                src=""
              />
            </div>
          </div>

          <div className="absolute w-[1084px] h-[998px] top-[439px] left-[117px]">
            <div className="relative w-[1096px] h-[998px]">
              <div className="absolute w-[1096px] h-[998px] top-0 left-0">
                <Card className="absolute w-[1082px] h-[506px] top-[492px] left-0 rounded-[27px] overflow-hidden">
                  <CardContent className="p-0">
                    <div className="absolute w-[1082px] h-[506px] top-0 left-0 bg-[#98d2c0] rounded-[27px] opacity-[0.73]" />

                    {/* Dive location cards */}
                    {diveLocations.map((location, index) => (
                      <React.Fragment key={location.name}>
                        <div
                          className={`absolute w-[255px] h-[205px] top-[291px] left-${index === 0 ? "2" : index === 1 ? "[368px]" : "[725px]"} rounded-[17px] border-2 border-solid border-[#1b4665] ${location.gradient}`}
                        />

                        <div
                          className={`absolute w-[261px] top-[303px] left-${index === 0 ? "3" : index === 1 ? "[375px]" : "[735px]"} font-body-text font-[number:var(--body-text-font-weight)] text-white text-[length:var(--body-text-font-size)] tracking-[var(--body-text-letter-spacing)] leading-[var(--body-text-line-height)] [font-style:var(--body-text-font-style)]`}
                        >
                          Dive Spots: <br />
                          {location.spots.map((spot) => (
                            <React.Fragment key={spot}>
                              &gt; {spot}
                              <br />
                            </React.Fragment>
                          ))}
                          <br />
                          {location.description}
                        </div>

                        <Card className="absolute w-[352px] h-[257px] top-1.5 left-[${index === 0 ? '5px' : index === 1 ? '365px' : '725px'}]">
                          <CardContent className="p-0">
                            <div className="relative w-[350px] h-[257px] rounded-[21px] border-[3px] border-solid border-[#98d2c0] shadow-[0px_4px_4px_#00000040]">
                              <div className="absolute w-[329px] h-[237px] top-[7px] left-[7px] bg-[#d9d9d9] rounded-[21px]" />
                              <div className="w-5 top-[104px] left-[53px] absolute font-body-text font-[number:var(--body-text-font-weight)] text-black text-[length:var(--body-text-font-size)] tracking-[var(--body-text-letter-spacing)] leading-[var(--body-text-line-height)] whitespace-nowrap [font-style:var(--body-text-font-style)]">
                                vid
                              </div>
                            </div>
                          </CardContent>
                        </Card>
                      </React.Fragment>
                    ))}
                  </CardContent>
                </Card>

                <div className="absolute top-0 left-[956px] font-subheading font-[number:var(--subheading-font-weight)] text-white text-[length:var(--subheading-font-size)] text-right tracking-[var(--subheading-letter-spacing)] leading-[var(--subheading-line-height)] [font-style:var(--subheading-font-style)]">
                  DIVE&apos;S
                </div>

                {diveLocations.map((location, index) => (
                  <div
                    key={location.name}
                    className={`absolute top-[426px] left-[${index === 0 ? "99px" : index === 1 ? "468px" : "820px"}] font-subheading font-[number:var(--subheading-font-weight)] text-white text-[length:var(--subheading-font-size)] ${index === 0 ? "text-right" : "text-center"} tracking-[var(--subheading-letter-spacing)] leading-[var(--subheading-line-height)] [font-style:var(--subheading-font-style)]`}
                  >
                    {location.name}
                  </div>
                ))}
              </div>

              <div className="absolute w-[527px] top-12 left-[547px] font-body-text font-[number:var(--body-text-font-weight)] text-white text-[length:var(--body-text-font-size)] text-right tracking-[var(--body-text-letter-spacing)] leading-[var(--body-text-line-height)] [font-style:var(--body-text-font-style)]">
                Lorem Ipsum dolor sit amet bla bla bla bla bla bla bla bla bla
                bla bla bla bla bla bla bla bla bla bla iki epep bla bla bla bla
                bla bla bla bla bla bla bla bla bla bla bla bla bla bla.
              </div>
            </div>
          </div>

          {/* Training section */}
          <div className="absolute w-[1071px] h-[301px] top-0 left-[126px]">
            <div className="absolute w-[525px] top-[72px] left-0 font-body-text font-[number:var(--body-text-font-weight)] text-white text-[length:var(--body-text-font-size)] tracking-[var(--body-text-letter-spacing)] leading-[var(--body-text-line-height)] [font-style:var(--body-text-font-style)]">
              Lorem Ipsum dolor sit amet bla bla bla bla bla bla bla bla bla bla
              bla bla bla bla bla bla bla bla iki epep bla bla bla bla bla bla
              bla bla bla bla bla bla bla bla bla bla bla bla.
            </div>

            <div className="absolute top-[25px] left-0 font-subheading font-[number:var(--subheading-font-weight)] text-white text-[length:var(--subheading-font-size)] text-center tracking-[var(--subheading-letter-spacing)] leading-[var(--subheading-line-height)] [font-style:var(--subheading-font-style)]">
              TRAINING
            </div>

            <Card className="absolute w-[458px] h-[301px] top-0 left-[607px] rounded-[30px] overflow-hidden">
              <CardContent className="p-0">
                <div className="relative w-[458px] h-[301px] rounded-[30px] border-[3px] border-solid border-[#98d2c0] shadow-[0px_4px_4px_#00000040]">
                  <div className="absolute w-[431px] h-[277px] top-[9px] left-2.5 bg-[#d9d9d9] rounded-[21px]" />
                  <div className="top-[122px] left-[70px] absolute font-body-text font-[number:var(--body-text-font-weight)] text-black text-[length:var(--body-text-font-size)] tracking-[var(--body-text-letter-spacing)] leading-[var(--body-text-line-height)] whitespace-nowrap [font-style:var(--body-text-font-style)]">
                    vid
                  </div>
                </div>
              </CardContent>
            </Card>
          </div>

          <Card className="absolute w-[525px] h-[400px] top-[328px] left-[126px] rounded-[26px] overflow-hidden">
            <CardContent className="p-0">
              <div className="w-[525px] h-[400px] rounded-[26px] border-[3px] border-solid border-[#98d2c0] shadow-[0px_4px_4px_#00000040]">
                <img
                  className="w-[497px] h-[380px] mt-[10px] ml-[14px] object-cover"
                  alt="Screenshot"
                  src=""
                />
              </div>
            </CardContent>
          </Card>
        </div>

        {/* Header section */}
        <div className="absolute w-[1440px] h-[934px] top-0 left-0">
          <img
            className="absolute w-[1440px] h-[761px] top-0 left-0 object-cover"
            alt="Underwater background"
            src=""
          />

          <div className="absolute w-[1440px] h-[89px] top-0 left-0 bg-[#98d2c0]">
            <Button
              variant="link"
              className="absolute top-[25px] left-[958px] font-subheading font-[number:var(--subheading-font-weight)] text-black text-[length:var(--subheading-font-size)] text-center tracking-[var(--subheading-letter-spacing)] leading-[var(--subheading-line-height)] [font-style:var(--subheading-font-style)] h-auto"
            >
              BACK TO HUB
            </Button>

            <Button
              variant="link"
              className="absolute top-[25px] left-[1228px] font-subheading font-[number:var(--subheading-font-weight)] text-black text-[length:var(--subheading-font-size)] tracking-[var(--subheading-letter-spacing)] leading-[var(--subheading-line-height)] [font-style:var(--subheading-font-style)] h-auto"
            >
              LAMPIRAN
            </Button>

            <img
              className="absolute w-[290px] h-[89px] top-0 left-0 object-cover"
              alt="Logo sac"
              src=""
            />
          </div>

          <div className="absolute w-[860px] top-[246px] left-[188px] [font-family:'Outfit-Bold',Helvetica] font-bold text-white text-[100px] text-center tracking-[0] leading-[normal]">
            Fachryan Spaer
          </div>

          <div className="absolute w-[533px] top-[372px] left-[188px] font-h2 font-[number:var(--h2-font-weight)] text-white text-[length:var(--h2-font-size)] text-center tracking-[var(--h2-letter-spacing)] leading-[var(--h2-line-height)] [font-style:var(--h2-font-style)]">
            My Diving Experience
          </div>

          <div className="absolute w-[376px] h-[367px] top-[567px] left-[532px] bg-[#306883] rounded-[188px/183.5px]" />
        </div>

        <div className="absolute top-[937px] left-[629px] font-h2 font-[number:var(--h2-font-weight)] text-white text-[length:var(--h2-font-size)] text-center tracking-[var(--h2-letter-spacing)] leading-[var(--h2-line-height)] [font-style:var(--h2-font-style)]">
          Welcome!
        </div>
      </div>
    </div>
  );
}
